<%@ WebHandler language="C#" class="MyImage" %>

using System;
using System.Web;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Text;

public class MyImage:IHttpHandler
{
    public bool IsReusable
    {
        get { return(true); }
    }

    public void ProcessRequest(HttpContext context)
    {
        using(Bitmap bmp = new Bitmap(250, 50))
        using(Graphics g = Graphics.FromImage(bmp))
        {
            g.FillRectangle(Brushes.Blue, 0, 0, 250, 50);
            using(Font f = new Font("lr SVbN", 20))
            {
                string str
                 = DateTime.Now.ToString("yyyy/MM/dd HH:mm");
                g.TextRenderingHint
                 = TextRenderingHint.ClearTypeGridFit;
                g.DrawString(str, f, Brushes.Yellow, 10, 10);
            }
            context.Response.ContentType = "image/JPEG";
            bmp.Save(context.Response.OutputStream,
                     ImageFormat.Jpeg);
        }
    }
}
